﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Net;
using System.Net.Sockets;


namespace ClientProxy
{
    public partial class ClientProxy : Form
    {
        private SOSUserAgent agent;
        public EventHandler messageEventHandlerDebug;

        public ClientProxy()
        {
            try
            {
                InitializeComponent();
            }
            catch (Exception ex)
            {
                tb_debug.Text = ex.Message;
            }

            //Sjekk at det er noe i tekstboksene
            if ((tb_proxyport.Text.Length > 0) && (tb_proxyadresse.Text.Length > 0) && (tb_localport.Text.Length > 0))
            {
                agent = new SOSUserAgent(this, tb_proxyadresse.Text, tb_proxyport.Text, tb_localport.Text);
            }
            else
            {
                tb_debug.Text = "Error: Fyll ut både proxy server og proxy port.";
            }

        }

        internal SOSUserAgent SOSUserAgent
        {
            get
            {
                throw new System.NotImplementedException();
            }
            set
            {
            }
        }


        private void initiateAgent(string locsource)
        {
            
            try
            {
                tb_debug.Text += "\r\nInitiating agent..";
                agent.start(locsource);
            }
            catch (Exception exp)
            {
                agent.dispose();
                //Dispose(true);
                tb_debug.Text = "Error\r\n" + exp.GetBaseException().Message;
            }

        }
        public void writeMessageDebug(String msg)
        {
            try
            {
                tb_debug.Text += msg + "\r\n";
            }
            catch (Exception ex)
            {
                tb_debug.Text = ex.Message;
            }
        }


        private void menuItem1_Click(object sender, EventArgs e)
        {
            if (cb_locsrc.Text == "")
            {
                tb_debug.Text = "Choose location service!";
            }
            else
            {
                try
                {
                    initiateAgent(cb_locsrc.Text);
                }
                catch (Exception ex)
                {
                    tb_debug.Text = ex.Message;
                }
            }
        }

        private void menuItem2_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void cb_locsrc_SelectedIndexChanged(object sender, EventArgs e)
        {
        }
    }
}