﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Net;
using OpenNETCF;
using OpenNETCF.Net;

namespace SIPparser
{
    class AddressRegister
    {
        private string remotehost, remoteport, localport;
        private string localhost = "127.0.0.1";
        private string calleIp = "129.241.209.203";

        public AddressRegister(string remotehost, string remoteport, string localport)
        {
            this.remotehost = remotehost;
            this.remoteport = remoteport;
            this.localport = localport;
        }

        public string getRemoteHost()
        {
            return remotehost;
        }
        public string getRemotePort()
        {
            return remoteport;
        }
        public string getLocalHost()
        {
            return localhost;
        }
        public string getLocalPort()
        {
            return localport;
        }

        public string getCalleIp()
        {
            return calleIp;
        }
        public string getIP()
        {
            AdapterCollection adaptersCollection = Networking.GetAdapters();

            foreach (Adapter a in adaptersCollection)
            {
                if (a.Name.IndexOf("WLAN") != -1)
                {
                    return a.CurrentIpAddress;
                }
            }           
            return adaptersCollection[0].CurrentIpAddress;

            //string myHost = Dns.GetHostName();
            //return Dns.GetHostEntry(myHost).AddressList[0].ToString();
            //return "129.241.209.203";
            //return "129.168.1.102";
        }
    }
}
