﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;
using System.ComponentModel;

namespace ieMacAddressMobile
{
    /*
     * Hvordan kalle denne klassen :
     *  LocationUpdater lu = new LocationUpdater(this);
     * 
     */
    class LocationUpdater
    {
        private string tempMac = "";

        // This delegate enables asynchronous calls for setting
        // the text property on a TextBox control.
        delegate void SetTextCallback(string text);

        // This thread is used to demonstrate both thread-safe and
        // unsafe ways to call a Windows Forms control.
        private Thread t = null;

        private form_ieMacAddressMobile form = null;

        public LocationUpdater(form_ieMacAddressMobile form)
        {
            this.form = form;
            this.t = new Thread(new ThreadStart(this.checkLocation));
            t.Start();
        }
        public void checkLocation()
        {
            //string newestMac = form.tb_mac.Text;
            this.SetTextMAC("");
            string newestMac = tempMac;
    
            while (true)
            {
                //string tempMac = form.tb_mac.Text;
                this.SetTextMAC("");
                if (!tempMac.Equals(newestMac))
                {
                    newestMac = tempMac;
                    this.SetTextStatus("Nyeste MAC: " + newestMac);
                }
                Thread.Sleep(5000);
            }
        }

        private void SetTextStatus(string text)
        {
            // InvokeRequired required compares the thread ID of the
            // calling thread to the thread ID of the creating thread.
            // If these threads are different, it returns true.
            if (form.tb_status.InvokeRequired)
            {
                SetTextCallback d = new SetTextCallback(SetTextStatus);
                form.Invoke(d, new object[] { text });
            }
            else
            {
                form.tb_status.Text = text;
            }
        }
        private void SetTextMAC(string text)
        {
            // InvokeRequired required compares the thread ID of the
            // calling thread to the thread ID of the creating thread.
            // If these threads are different, it returns true.
            if (form.tb_mac.InvokeRequired)
            {
                SetTextCallback d = new SetTextCallback(SetTextMAC);
                form.Invoke(d, new object[] { text });
            }
            else
            {
                tempMac = form.tb_mac.Text;
            }
        }
    }
}
